'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var crypto = require('crypto');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var crypto__default = /*#__PURE__*/_interopDefaultLegacy(crypto);

/**
 * Hash a string. get sha1
 * @param originVal
 * @param salt
 */
const sha1 = (originVal, salt) => {
    if (salt) {
        return crypto__default["default"].createHmac('sha1', salt).update(originVal).digest('hex');
    }
    return crypto__default["default"].createHash('sha1').update(originVal).digest('hex');
};
/**
 * Hash a string. get sha512
 * @param originVal
 * @param salt
 */
const sha512 = (originVal, salt) => {
    if (salt) {
        return crypto__default["default"].createHmac('sha512', salt).update(originVal).digest('hex');
    }
    return crypto__default["default"].createHash('sha512').update(originVal).digest('hex');
};
/**
 * generate random string
 */
const generateRandomString = (length = 10) => crypto__default["default"]
    .randomBytes(Math.ceil(length / 2))
    .toString('hex')
    .slice(0, length);

exports.generateRandomString = generateRandomString;
exports.sha1 = sha1;
exports.sha512 = sha512;
//# sourceMappingURL=index.cjs.map
