import crypto from 'crypto';

/**
 * Hash a string. get sha1
 * @param originVal
 * @param salt
 */
const sha1 = (originVal, salt) => {
    if (salt) {
        return crypto.createHmac('sha1', salt).update(originVal).digest('hex');
    }
    return crypto.createHash('sha1').update(originVal).digest('hex');
};
/**
 * Hash a string. get sha512
 * @param originVal
 * @param salt
 */
const sha512 = (originVal, salt) => {
    if (salt) {
        return crypto.createHmac('sha512', salt).update(originVal).digest('hex');
    }
    return crypto.createHash('sha512').update(originVal).digest('hex');
};
/**
 * generate random string
 */
const generateRandomString = (length = 10) => crypto
    .randomBytes(Math.ceil(length / 2))
    .toString('hex')
    .slice(0, length);

export { generateRandomString, sha1, sha512 };
//# sourceMappingURL=index.mjs.map
