/// <reference types="node" />
export declare function pHash(image: Buffer): Promise<string>;
export declare const bitCount: (n: number) => number;
/**
 * Hamming distance between two strings or numbers
 * @param a - first string or number e.g. '123456'
 * @param b - second string or number e.g. '654321'
 */
export declare const decimalHammingDistance: (a: string | number, b: string | number) => number;
/**
 * Hamming distance between two binary strings
 * @param a - first string e.g. '101010'
 * @param b - second string e.g. '010101'
 */
export declare const binaryHammingDistance: (a: string, b: string) => number;
